@layer bootstrap, overrides;

@import url("https://cdn.jsdelivr.net/npm/bootstrap@5.3.8/dist/css/bootstrap.min.css") layer(bootstrap);

@layer overrides {
    :root {
        /* My personal branding colors */
        --theme-primary: rgb(45, 50, 80);
        --theme-secondary: rgb(100, 102, 135);
        --theme-salmon: rgb(248, 177, 121);
        --theme-light: rgb(254, 247, 231);
    }
}

body {
    background-color: var(--theme-light);
    /* Google Fonts */
    font-family: "Roboto", sans-serif;
}

/* Added padding to the "Home" page body in order to fix the navbar placement */
.body {
    padding-top: 100px;
}

#home>.container {
    padding-top: 80px;
}

.hd-btn {
    background-color: var(--theme-salmon);
    border-radius: 50px;
    font-size: 16px;
    font-weight: 400;
}

.head-section {
    height: auto;
    min-height: 75vh;
}

/* Navigation */
.navbar {
    background-color: var(--theme-primary);
}

.navbar-brand {
    margin-left: 100px;
}

.navbar .nav-link {
    font-size: 20px;
    font-weight: 500;
    color: #fff;
    padding: 15px 40px;
}

.nav-pills .nav-link.active {
    border-radius: 50px;
    background-color: var(--theme-salmon);
}

.navbar .nav-link:hover {
    border-radius: 50px;
    background-color: var(--theme-salmon);
}

/* Section Tags */
.section-tag {
    font-weight: 500;
    background: var(--theme-salmon);
    padding: 12px 24px;
    border-radius: 50px;
    display: inline-block;
    margin-bottom: 1.5rem;
}

/* Projects Section */
.project-card {
    border: none;
    border-radius: 25px;
    overflow: hidden;
    background: #fff;
    transition: transform 0.5s ease;
}

.project-card:hover {
    transform: translateY(-10px);
}

.project-image {
    width: 100%;
    height: 350px;
    object-fit: cover;
    object-position: center;
}

.project-link {
    text-decoration: none;
}

/* Projects */
.banner {
    height: 70vh;
    width: 100%;
    object-fit: cover;
    object-position: center;
    display: block;
}

.container>h2 {
    color: var(--theme-salmon);
    font-weight: bold;
    margin-top: 100px;
    font-size: 50px;
}

/* Contact Section */
#contactForm {
    max-width: 600px;
}

.contact-section {
    background-color: var(--theme-secondary);
    color: #fff;
    padding: 120px 0;
}

.contact-section .btn {
    background-color: var(--theme-salmon);
    color: var(--theme-primary);
    font-weight: 500;
    padding: 12px 24px;
    border-radius: 50px;
}

.contact-section .btn:hover {
    background-color: var(--theme-primary);
    color: var(--theme-light);
    transform: scale(1.03);
}

/* Prototyping Button */
.proto {
    background-color: var(--theme-secondary);
    color: var(--theme-light);
    border-radius: 50px;
    padding: 20px;
}

/* Footer */
.footer-card {
    background-color: var(--theme-primary);
    color: var(--theme-light);
}

.card-body>.btn {
    width: 150px;
    margin: 25px;
    background-color: var(--theme-salmon);
    color: var(--theme-primary);
    font-weight: 500;
    border-radius: 50px;
}

.card-body .btn:hover {
    background-color: var(--theme-secondary);
    color: var(--theme-light);
    transform: scale(1.03);
}


/* For different screen sizes */
@media (max-width: 1000px) {
    .banner {
        height: 45vh;
    }

    .navbar-brand {
        margin-left: 50px;
    }
}

@media (max-width: 770px) {
    .banner {
        height: 35vh;
    }

    #home>.container,
    .body {
        padding-top: 60px;
    }

    .container>h2 {
        font-size: 36px;
    }

    .navbar-brand {
        margin-left: 0;
    }
}